public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Aaron Bauman" <bman@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-misc/gns3-gui/
Date: Mon, 10 Jul 2017 00:17:50 +0000 (UTC)	[thread overview]
Message-ID: <1499645790.0477b0edf1ddfb894dcd38cca2471bf0d43d7f7e.bman@gentoo> (raw)

commit:     0477b0edf1ddfb894dcd38cca2471bf0d43d7f7e
Author:     Aaron Bauman <bman <AT> gentoo <DOT> org>
AuthorDate: Wed Jun 28 23:30:18 2017 +0000
Commit:     Aaron Bauman <bman <AT> gentoo <DOT> org>
CommitDate: Mon Jul 10 00:16:30 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0477b0ed

net-misc/gns3-gui: bump to 2.0.3

Closes: https://github.com/gentoo/gentoo/pull/5007

 net-misc/gns3-gui/Manifest              |  1 +
 net-misc/gns3-gui/gns3-gui-2.0.3.ebuild | 43 +++++++++++++++++++++++++++++++++
 2 files changed, 44 insertions(+)

diff --git a/net-misc/gns3-gui/Manifest b/net-misc/gns3-gui/Manifest
index 510b7b7ad26..52c61c68d2b 100644
--- a/net-misc/gns3-gui/Manifest
+++ b/net-misc/gns3-gui/Manifest
@@ -1,2 +1,3 @@
 DIST gns3-gui-1.5.2.tar.gz 5781908 SHA256 23bf516ca76fe3ec6b43fecb2113256491f1ae04c2b1bfb8b0655a69f96335e8 SHA512 420ca3560161913023bf1fea6c48f7ef5f18489e8500ec1daba2022b1840288277692b78432a55291cea2cf28d296f5ce96b79f5feefd6fa30ab550d4a02065e WHIRLPOOL 2eb5bcec653dd33aa13a55f9f34e4ca1da0376253a61e91bd674ff3142bc4bca9587c7068c80e57778a3e3b6f1cfd844fb1272feed047f8d37874d5d9a6acab6
 DIST gns3-gui-1.5.3.1.tar.gz 5784326 SHA256 8f8b89397208a323dc58357eddf95a75387b326f69678182b0c5b44504190823 SHA512 1d145d1565dc890d3e54386d9867826470cce2997d42f113cfcfd9a2cadd6e215e96753af8f0cdc9d2a7776341d9c4cb8ac473084126ba4ea76585de4c37dd0c WHIRLPOOL 446ffd28dfba0f9c528219f50153bf40d439b3296473e909a4fd05edb27f41c1ad9d29ebdf5f699ba792af6057896ada52ed4ed027f9061177239fc1613cda3e
+DIST gns3-gui-2.0.3.tar.gz 5528039 SHA256 177d387841aff69bb9f6c3cba470fb2c79e35292a17af48ca861da69b9407e8c SHA512 0c6955c885c1110acd4c791e92ba24db583d259938bb7f0c2147f3f648dabd4dcaeb2967b8e30e6169adca9f3b8ee667f00431bec66d6fb5fde1f9d90cca88f8 WHIRLPOOL fcc83d2bd998888cf0dc88e80c3c910a58a505ce295d05528122091bc4692f8f64ac80ec35bd9ab216c2549f7a8d11450e39078820f9e75fee293a211855a6c3

diff --git a/net-misc/gns3-gui/gns3-gui-2.0.3.ebuild b/net-misc/gns3-gui/gns3-gui-2.0.3.ebuild
new file mode 100644
index 00000000000..ea2a02c0475
--- /dev/null
+++ b/net-misc/gns3-gui/gns3-gui-2.0.3.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python3_4 )
+
+inherit distutils-r1 eutils
+
+DESCRIPTION="Graphical Network Simulator"
+HOMEPAGE="http://www.gns3.net/"
+SRC_URI="https://github.com/GNS3/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64"
+RESTRICT="test"
+
+#net-misc/gns3-server version should always match gns3-gui version
+
+RDEPEND="
+	>=dev-python/libcloud-0.15.1[${PYTHON_USEDEP}]
+	>=dev-python/ws4py-0.3.4[${PYTHON_USEDEP}]
+	>=dev-python/requests-2.6.0[${PYTHON_USEDEP}]
+	>=dev-python/paramiko-1.15.1[${PYTHON_USEDEP}]
+	=net-misc/gns3-server-$PVR[${PYTHON_USEDEP}]
+	dev-qt/qtgui:5
+	dev-qt/qtsvg:5
+	dev-python/PyQt5[gui,network,svg,widgets,${PYTHON_USEDEP}]
+"
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+
+src_prepare() {
+	rm -rf tests || die
+	eapply_user
+}
+
+python_install_all() {
+	distutils-r1_python_install_all
+
+	doicon "${WORKDIR}/${P}/resources/images/gns3.ico"
+	make_desktop_entry "gns3" "GNS3" "/usr/share/pixmaps/gns3.ico" "Utility"
+}


             reply	other threads:[~2017-07-10  0:17 UTC|newest]

Thread overview: 92+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-07-10  0:17 Aaron Bauman [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-12-08 22:05 [gentoo-commits] repo/gentoo:master commit in: net-misc/gns3-gui/ Sam James
2024-12-08 22:05 Sam James
2024-11-02 12:06 Conrad Kostecki
2024-11-02 12:06 Conrad Kostecki
2024-10-13 15:35 Michał Górny
2024-09-13  7:43 Joonas Niilola
2024-09-13  7:43 Joonas Niilola
2024-07-21 15:12 Conrad Kostecki
2024-07-21 15:12 Conrad Kostecki
2024-05-24 23:35 Conrad Kostecki
2024-05-24 23:35 Conrad Kostecki
2024-05-05 18:56 Conrad Kostecki
2024-05-05 18:56 Conrad Kostecki
2024-01-13 20:46 Conrad Kostecki
2024-01-13 20:46 Conrad Kostecki
2023-12-24 23:07 Conrad Kostecki
2023-12-24 23:07 Conrad Kostecki
2023-10-04 21:45 Conrad Kostecki
2023-10-04 21:45 Conrad Kostecki
2023-08-19 22:32 Conrad Kostecki
2023-08-19 22:32 Conrad Kostecki
2023-07-12 18:45 Conrad Kostecki
2023-07-12 18:45 Conrad Kostecki
2023-07-02  1:43 Conrad Kostecki
2023-06-18 17:18 Michał Górny
2023-06-11  8:44 Joonas Niilola
2023-06-11  8:44 Joonas Niilola
2023-05-29  7:02 Michał Górny
2023-04-01 19:39 Conrad Kostecki
2023-04-01 19:39 Conrad Kostecki
2023-02-05  8:23 Viorel Munteanu
2023-02-05  8:23 Viorel Munteanu
2022-10-10 13:18 Joonas Niilola
2022-10-10 13:18 Joonas Niilola
2022-07-07 16:24 Ionen Wolkens
2022-07-07 16:24 Ionen Wolkens
2022-05-08  8:47 Michał Górny
2022-03-29 10:50 Ionen Wolkens
2022-03-29 10:50 Ionen Wolkens
2022-01-12  9:04 Ionen Wolkens
2022-01-12  9:04 Ionen Wolkens
2022-01-04  9:07 Ionen Wolkens
2022-01-04  9:07 Ionen Wolkens
2021-10-22  2:21 Ionen Wolkens
2021-10-22  2:21 Ionen Wolkens
2021-09-18 20:49 Ionen Wolkens
2021-09-18 20:49 Ionen Wolkens
2021-09-01 12:03 Ionen Wolkens
2021-09-01 12:03 Ionen Wolkens
2021-07-13 20:26 Ionen Wolkens
2021-07-13 20:26 Ionen Wolkens
2021-06-09 23:56 Sam James
2021-06-09 23:56 Sam James
2021-03-09 12:01 Joonas Niilola
2021-02-25 20:00 Michał Górny
2021-01-16  8:05 Joonas Niilola
2020-08-16 18:55 Jonas Stein
2020-07-25 22:13 Aaron Bauman
2020-07-25 22:13 Aaron Bauman
2020-07-25 22:13 Aaron Bauman
2020-05-24 22:40 Aaron Bauman
2019-07-16 12:12 Michał Górny
2019-07-16 12:12 Michał Górny
2019-07-16 12:12 Michał Górny
2019-01-27 16:54 Pacho Ramos
2018-07-12 13:28 Michał Górny
2018-03-18 20:08 Aaron Bauman
2018-03-05  0:11 Thomas Deutschmann
2018-03-03  2:07 Thomas Deutschmann
2018-03-03  2:07 Thomas Deutschmann
2017-09-26 22:24 Aaron Bauman
2017-09-26 22:18 Aaron Bauman
2017-07-12 14:43 Pacho Ramos
2017-07-12  2:46 Aaron Bauman
2017-07-10  0:38 Aaron Bauman
2017-07-10  0:17 Aaron Bauman
2017-01-29 11:17 Aaron Bauman
2016-10-16  6:44 Aaron Bauman
2016-08-09  0:05 Aaron Bauman
2016-07-16  5:14 Aaron Bauman
2016-07-16  5:14 Aaron Bauman
2016-05-16  7:48 Aaron Bauman
2016-03-27 18:06 Michael Palimaka
2016-03-09 13:07 Aaron Bauman
2016-03-09 13:07 Aaron Bauman
2016-03-09 12:32 Aaron Bauman
2016-03-02  8:35 Aaron Bauman
2016-02-06  3:42 Aaron Bauman
2016-02-06  3:39 Aaron Bauman
2016-02-06  3:34 Aaron Bauman
2015-09-19 11:10 Aaron Bauman

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1499645790.0477b0edf1ddfb894dcd38cca2471bf0d43d7f7e.bman@gentoo \
    --to=bman@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox